Name:                jedis
Version:             2.9.0
Release:             1
Summary:             A redis Java client
License:             MIT
URL:                 https://github.com/xetorthio/jedis
Source0:             https://github.com/xetorthio/jedis/archive/%{name}-%{version}.tar.gz
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.commons:commons-pool2)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin) mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:           noarch
%description
Jedis is a blazingly small and sane Redis java client.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find . -name "*.bat" -delete
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
rm -r src/test/java/redis/clients/jedis/tests/ConnectionCloseTest.java \
 src/test/java/redis/clients/jedis/tests/ConnectionTest.java \
 src/test/java/redis/clients/jedis/tests/JedisClusterTest.java \
 src/test/java/redis/clients/jedis/tests/JedisSentinelPoolTest.java \
 src/test/java/redis/clients/jedis/tests/JedisSentinelTest.java \
 src/test/java/redis/clients/jedis/tests/JedisPoolTest.java \
 src/test/java/redis/clients/jedis/tests/JedisTest.java \
 src/test/java/redis/clients/jedis/tests/PipeliningTest.java \
 src/test/java/redis/clients/jedis/tests/ShardedJedisPipelineTest.java \
 src/test/java/redis/clients/jedis/tests/ShardedJedisPoolTest.java \
 src/test/java/redis/clients/jedis/tests/ShardedJedisTest.java \
 src/test/java/redis/clients/jedis/tests/commands/AllKindOfValuesCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/BinaryValuesCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/BitCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/ClusterCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/ConnectionHandlingCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/ControlCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/HashesCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/HyperLogLogCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/ListCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/ObjectCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/PublishSubscribeCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/ScriptingCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/SetCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/SlowlogCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/SortedSetCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/SortingCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/StringValuesCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/TransactionCommandsTest.java \
 src/test/java/redis/clients/jedis/tests/commands/VariadicCommandsTest.java
%mvn_file : %{name}

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu May 6 2021 chengzihan <chengzihan2@huawei.com> - 2.9.0-1
- Upgrade to 2.9.0

* Mon Jul 27 2020 Jeffery.Gao <gaojianxing@huawei.com> - 2.7.2-1
- Package init
